Mailinglist Archive: opensuse (3337 mails)

< Previous Next >
Re: [opensuse] Problem with Smart while "computing transaction"
  • From: Rajko M <rmatov101@xxxxxxxxxxx>
  • Date: Mon, 17 Apr 2006 18:18:42 -0500
  • Message-id: <44442252.9060403@xxxxxxxxxxx>
Tim Harper wrote:
On Saturday 15 April 2006 14:45, Daniel Bertolo wrote:
Am Samstag, 15. April 2006 20:30 schrieb Tim Harper:
This is probably your best bet. Remove all other repositories and just
do the core 10.1rc1 upgrade. Then, once you get the main upgrade done,
then try adding your kde3-stable repo.
This actually does not work either. If I try to do so with 'apt-get
dist-upgrade' it seems to work, but deps are not resolved that well:

The following packages will be REMOVED:
amarok amarok-libvisual amarok-xine gimp gimp-cmyk k3b kdeaddons3-kate
kdeaddons3-konqueror kdebase3 kdebase3-SuSE kdebase3-nsplugin
kdebase3-session kdenetwork3-wireless kdepim3-networkstatus kdeutils3
kinternet koffice-illustration kpowersave libgpod submount

It actually removes most KDE packages without installing new ones. So, I
probably will have to reinstall the default packages using YaST. I will do
that this night. We will see what happens.

Thank you anyway,
Dan
yeah, with upgrades, that is the way that it goes sometimes. I've had to uninstall a lot of packages and reinstall them. You can get a list of packages installed by running rpm -qa > packagelist.txt, just to make sure you remember all the ones you had installed.

Good luck

Tim

With YaST it would be easier.
Export package selection before upgrade, save on some place that would not be affected with installation, than on installation import the .sel file and it will automatically install all that was installed before.

--
Regards,
Rajko.

< Previous Next >